sipomatic(1)

NAME

sipomatic - SIP auto-responder from the linphone project.

SYNTAX

sipomatic

DESCRIPTION

Sipomatic is primilarly a test tool for linphone. It waits for incoming sip calls, and answer to them by playing a raw sound file on disk. The sended stream is encoded using the preferred codec of the calling sip-phone.
The default address of sipomatic is <sip:robot@127.0.0.1:5064>

OPTIONS

No options.

FILES

/usr/share/sounds/linphone/hello.raw
This is the file that sipomatic plays to the calling phones. The format of this file is a 8000 Hz 16 bit file, with the endianess of the machine where sipomatic is running.

ENVIRONMENT VARIABLES

SIPOMATIC_URL
    Specifies the address sipomatic listens to. By default it is <sip:robot@127.0.0.1:5064> . The host part of address MUST always be a numerical ip address.

EXAMPLES

AUTHORS

Simon MORLAT <simon.morlat@linphone.org>

SEE ALSO

linphone(1) linphonec(1)